
Name: kcalc 
Summary: Scientific Calculator 
Version: 4.8.5
Release: 1%{?dist}

License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdeutils/kcalc
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: gmp-devel

# when split occured
Conflicts: kdeutils-common < 6:4.7.80

Obsoletes: kdeutils-kcalc < 6:4.7.80
Provides:  kdeutils-kcalc = 6:%{version}-%{release}

%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}


%description
KCalc is a calculator which offers many more mathematical
functions than meet the eye on a first glance.


%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --without-mo


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%files -f %{name}.lang
%doc COPYING README
%{_kde4_bindir}/kcalc
%{_kde4_appsdir}/kcalc/
%{_kde4_appsdir}/kconf_update/kcalcrc.upd
%{_kde4_datadir}/config.kcfg/kcalc.kcfg
%{_kde4_datadir}/applications/kde4/kcalc.desktop
%{_kde4_libdir}/libkdeinit4_kcalc.so



%changelog
* Thu Aug 02 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.5-1
- 4.8.5

* Tue Jun 05 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.4-2
- fix %%_kde_version macro usage

* Mon Jun 04 2012 Than Ngo <than@redhat.com> - 4.8.4-1
- 4.8.4

* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-1
- 4.8.2

* Mon Mar 05 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.1-1
- 4.8.1

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.0-1
- 4.8.0

* Wed Jan 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.7.97-1
- 4.7.97

* Thu Dec 22 2011 Radek Novacek <rnovacek@redhat.com> - 4.7.95-1
- 4.7.95

* Mon Dec 05 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-1
- 4.7.90

* Sat Nov 26 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.80-1
- first try

